Bug Hunting Session
Bug 106544 - Calc: Merge cells dialog is difficult to understand for new/infrequent users
Summary: Calc: Merge cells dialog is difficult to understand for new/infrequent users
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: low trivial
Assignee: Heiko Tietze
URL:
Whiteboard: target:6.1.0
Keywords:
Depends on:
Blocks: Calc-Merge-Split
  Show dependency treegraph
 
Reported: 2017-03-15 02:22 UTC by Aron Budea
Modified: 2018-05-03 11:52 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Merge cells dialog with icons (23.36 KB, image/png)
2017-04-19 07:19 UTC, Heiko Tietze
Details
Source for the images (12.64 KB, application/vnd.oasis.opendocument.graphics)
2018-04-12 08:29 UTC, Heiko Tietze
Details
"Annotated" screenshot (10.05 KB, image/png)
2018-04-16 00:50 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2017-03-15 02:22:21 UTC
Have entries in two adjacent cells, and try to merge them. You get a dialog like this:

"Some cells are not empty.
o Move the contents of the hidden cells into the first cell
o Keep the contents of the hidden cells
o Empty the contents of the hidden cells"

At this point there are no hidden cells, there's no mention that certain cells are going to be hidden, or why it matters that certain cells are not empty. These could be puzzling to users unfamiliar with the procedure.

Compare this to Excel's dialog:
"Merging cells only keeps the upper-left cell value, and discards the other values.
OK / Cancel"

It offers less choices, but the procedure is clear.
Could we have a similarly clear dialog? Additionally, "the contents of the hidden cells" appears in each choice, it would be nice to move the text before the selection somehow.
I wish I could suggest a good replacement text...
Comment 1 Buovjaga 2017-03-16 08:30:52 UTC
OK -> NEW
Comment 2 Aron Budea 2017-04-18 21:37:31 UTC
UX team, could you give your opinion on this dialog?
Comment 3 Heiko Tietze 2017-04-19 07:19:56 UTC
Created attachment 132675 [details]
Merge cells dialog with icons

A picture is worth a thousand words (but not without any). Keep all options but add some easy to recognize icons.
Comment 4 Cor Nouws 2018-04-10 12:05:49 UTC
(In reply to Heiko Tietze from comment #3)
> Created attachment 132675 [details]
> Merge cells dialog with icons
> 
> A picture is worth a thousand words (but not without any). Keep all options
> but add some easy to recognize icons.

Nice idea. Can maybe be even simpler (i.e. improved) by just using cells A and B in the images?
Comment 5 Thomas Lendo 2018-04-10 12:38:14 UTC
(In reply to Heiko Tietze from comment #3)
> A picture is worth a thousand words (but not without any). Keep all options
> but add some easy to recognize icons.
+1
Comment 6 Heiko Tietze 2018-04-11 19:13:42 UTC
The icon idea was accepted in the design meeting.
Comment 7 Heiko Tietze 2018-04-12 08:29:15 UTC
Created attachment 141302 [details]
Source for the images

Patch at https://gerrit.libreoffice.org/#/c/52758/

The attachment contains all three images.
Comment 8 Commit Notification 2018-04-12 11:21:27 UTC
heiko tietze committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=38f83693f096ae14cd43292223c5b16bbb001b87

tdf#106544 - Merge cells dialog is difficult to understand

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 9 Timur 2018-04-12 13:01:04 UTC
Please add to https://wiki.documentfoundation.org/ReleaseNotes/6.1.
Comment 10 Heiko Tietze 2018-04-12 13:21:22 UTC
(In reply to Timur from comment #9)
> Please add to https://wiki.documentfoundation.org/ReleaseNotes/6.1.

This tiny change are not relevant for the release notes, IMHO.
Comment 11 Aron Budea 2018-04-16 00:50:00 UTC
Created attachment 141384 [details]
"Annotated" screenshot

Heiko, thanks a lot for adding these images! I checked them out in a recent master build, and was thinking it would be great if the positioning of numbers in the image could reflect their actual position in the merged cell.

Ie. something like this:
[   1 2   ]
[    1  2 ]
[    1    ]

Would that be doable, or there's a particular reason why the first entry is left-aligned, and the last entry is right-aligned?

Additionally, I checked and the first entry's numbers are a pixel shorter than the other two's, and the darker grey border is also missing on certain sides. Attaching a screenshot where the missing borders and the size difference are pointed out.
Comment 12 Heiko Tietze 2018-04-16 06:37:28 UTC
(In reply to Aron Budea from comment #11)
> Would that be doable, or there's a particular reason why the first entry is
> left-aligned, and the last entry is right-aligned?

If the cell merges two numbers into "1 2" the result is a text - and thereby left aligned by default. In the other cases you get a number. But feel free to improve the images.
Comment 13 Thomas Lendo 2018-04-29 21:13:10 UTC
Verified with Version: 6.1.0.0.alpha1+
Build ID: 4dbce627d3643babaf90a93c70b365ff08abfca6
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: de-DE (de_DE.UTF-8); Calc: group

But I found the wording "hidden" confusing due to the other commands "Hide Row"/"Hide Columns" that have nothing to do with hidden mentioned in the dialog.
Comment 14 Cor Nouws 2018-05-03 11:52:28 UTC
(In reply to Heiko Tietze from comment #10)

> This tiny change are not relevant for the release notes, IMHO.

Improvements, especially in usability, are always worth mentioning in the release notes.

I like this improvement. Thanks!